Package com.pixelmed.utils

# Class MACAddress

java.lang.Object
com.pixelmed.utils.MACAddress

public class MACAddress extends Object

A class for fetching the MAC address of one of the local host network interfaces.

Works on Linux, Solaris, Darwin, Windows.

## Constructor Summary

Constructors
Constructor
Description
`MACAddress()`

## Method Summary

Modifier and Type
Method
Description
`long`
`getMACAddress()`
`protected static long`
`getMacAddressFromNetworkInterfaceAPI()`
`protected long`
`getMacAddressFromSystemCommandCall()`
`static void`
`main(String[] arg)`
Testing.

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MACAddress

public MACAddress()

## Method Details

### getMACAddress

public long getMACAddress()

### getMacAddressFromNetworkInterfaceAPI

protected static long getMacAddressFromNetworkInterfaceAPI()

### getMacAddressFromSystemCommandCall

protected long getMacAddressFromSystemCommandCall()

### main

public static void main(String[] arg)

Testing.

Parameters:
  `arg` - ignored